<?php
include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _SVC_INC_PATH_ ."/auth_check.php";
include_once _HOME_INC_PATH_ ."/ajax_init.php";
include_once __DIR__ ."/token.inc.php";

//토큰 유효성 반환
// Token::exitTokenJson($member['token']);

switch( $_REQUEST['mode'] ){                              // 앱에 모드를 할당하는 변수 있음
  case 'getCurrentFacility':                    
    $sql = "USP_T_GET_CURRENT_FACLT_OPER";                            // DB에서 불러오는 Store Procedure
    $token = $_REQUEST['token'];                          // 앱에서 전달받은 토큰(토큰은 로그인시 할당받아서 로컬에 저장됨)
    $params = Array(
      "CORP_CD"   => "",                                  // SP 에 활용되는 파라미터
      "FACLT_OPER_NO"   => $_REQUEST['params'][1],
      "sRUNSTOP_GB"   => $_REQUEST['params'][2],
      "sMAKE_USER_ID"   => $_REQUEST['params'][3],
    );
    $rst = $baseObj->DB->exec($sql, $params);
    $retval['data'] = array();
    if( $rst ){
      $retval['code'] = $params;
      $retval['mesg'] = "S";
      while( $row = $baseObj->DB->fetch_array($rst) ) {
        $retval['data'][] = $row;
      }
    }
    break;
  default:
    break;


}

if( !$_REQUEST['no_echo'] ){
  echo json_encode($retval, JSON_UNESCAPED_UNICODE);
}

include "./record.php";